package kafka.example.config;

import io.confluent.kafka.schemaregistry.ParsedSchema;
import io.confluent.kafka.serializers.KafkaAvroDeserializer;

public class SoftKafkaAvroDeserializer extends KafkaAvroDeserializer {

  @Override
  protected String getSubjectName(String topic, boolean isKey, Object value, ParsedSchema schema) {
    if (topic.indexOf("_") > -1) {

      String[] splitTopic = topic.split("_");
      return splitTopic[0];
    }
    return topic;
  }
}
